//+------------------------------------------------------------------+
//|        FridayIndicator.mq4              by Hndymann(Luke)             |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_chart_window

   double WeekClose;
   double Weekly_Price[][6];
   double Week1, Week2, Week3, Week4;

int init()
  {
   return(0);
  }
  
//-------------------------------------------------------- 
  
int deinit()
  {


ObjectDelete("Friday1Line");
ObjectDelete("Friday1Label");
ObjectDelete("Friday2Line");
ObjectDelete("Friday2Label");
ObjectDelete("Friday3Line");
ObjectDelete("Friday3Label");
ObjectDelete("Friday4Line");
ObjectDelete("Friday4Label");

return(0);
}
//--------------------------------------------------------- 

int start()
{


ArrayInitialize(Weekly_Price, 0);
ArrayCopyRates(Weekly_Price, Symbol(), 10080);

Week1 = Weekly_Price[1][4];
Week2 = Weekly_Price[2][4];
Week3 = Weekly_Price[3][4];
Week4 = Weekly_Price[4][4];

//--------------------------------------------------------



if(ObjectFind("Friday1Line") != 0)
{
ObjectCreate("Friday1Line", OBJ_HLINE,0, CurTime(),Week1);
ObjectSet("Friday1Line", OBJPROP_COLOR, Lime);
ObjectSet("Friday1Line", OBJPROP_STYLE, STYLE_DASHDOTDOT);
ObjectSet("Friday1Line", OBJPROP_WIDTH, 2);
}
else
{
ObjectMove("Friday1Line", 0, CurTime(), Week1);
}

if(ObjectFind("Friday1Label") != 0)
{
ObjectCreate("Friday1Label", OBJ_TEXT, 0, CurTime(), Week1);
ObjectSetText("Friday1Label", "Last Friday", 8, "Arial", Lime);
}
else
{
ObjectMove("Friday1Label", 0, CurTime(), Week1);
}

//--------------------------------------------------------
if(ObjectFind("Friday2Line") != 0)
{
ObjectCreate("Friday2Line", OBJ_HLINE,0, CurTime(),Week2);
ObjectSet("Friday2Line", OBJPROP_COLOR, Red);
ObjectSet("Friday2Line", OBJPROP_STYLE, STYLE_DASHDOTDOT);
ObjectSet("Friday2Line", OBJPROP_WIDTH, 2);
}
else
{
ObjectMove("Friday2Line", 0, CurTime(), Week2);
}

if(ObjectFind("Friday2Label") != 0)
{
ObjectCreate("Friday2Label", OBJ_TEXT, 0, CurTime(), Week2);
ObjectSetText("Friday2Label", " 2 Fridays Ago", 8, "Arial", Red);
}
else
{
ObjectMove("Friday2Label", 0, CurTime(), Week2);
}

//--------------------------------------------------------
if(ObjectFind("Friday3Line") != 0)
{
ObjectCreate("Friday3Line", OBJ_HLINE,0, CurTime(),Week3);
ObjectSet("Friday3Line", OBJPROP_COLOR, Yellow);
ObjectSet("Friday3Line", OBJPROP_STYLE, STYLE_DASHDOTDOT);
ObjectSet("Friday3Line", OBJPROP_WIDTH, 2);
}
else
{
ObjectMove("Friday3Line", 0, CurTime(), Week3);
}

if(ObjectFind("Friday3Label") != 0)
{
ObjectCreate("Friday3Label", OBJ_TEXT, 0, CurTime(), Week3);
ObjectSetText("Friday3Label", " 3 Fridays Ago", 8, "Arial", Yellow);
}
else
{
ObjectMove("Friday3Label", 0, CurTime(), Week3);
}

if(ObjectFind("Friday4Line") != 0)
{
ObjectCreate("Friday4Line", OBJ_HLINE,0, CurTime(),Week4);
ObjectSet("Friday4Line", OBJPROP_COLOR, DeepPink);
ObjectSet("Friday4Line", OBJPROP_STYLE, STYLE_DASHDOTDOT);
ObjectSet("Friday4Line", OBJPROP_WIDTH, 2);
}
else
{
ObjectMove("Friday4Line", 0, CurTime(), Week4);
}

if(ObjectFind("Friday4Label") != 0)
{
ObjectCreate("Friday4Label", OBJ_TEXT, 0, CurTime(), Week4);
ObjectSetText("Friday4Label", " 4 Fridays Ago", 8, "Arial", DeepPink);
}
else
{
ObjectMove("Friday4Label", 0, CurTime(), Week4);
}

//---------------------------------------------------------
//---------------------------------------------------------

ObjectsRedraw();

   return(0);
}