//+------------------------------------------------------------------+
//|                                           hedge_dashboard_v2.mq4 |
//|                                                  Pah & Trade4fun |
//|  http://www.forexfactory.com/showthread.php?p=4636877#post4636877|
//|  Bryon,Don,Eric,Cedric,Richard,Xaphod,Andy,McL                      |
//|  god bless you all                                               | 
//+------------------------------------------------------------------+

string vsn = "hedge_dashboard_v2";

/*

fixes, changes history
----------------------------------------------------------------------------------------
v2 23/06/2011

fix bug in THREE 3 display
values displayed for EURJPY were actually for GBPUSD and for GBPJPY were actually EURJPY

added automatic server GMT offset calcs

added option to show SWAP values from McL
----------------------------------------------------------------------------------------
*/

#property copyright "Paul and Eelco"
#property link      "free4all"

#import "kernel32.dll"
int  GetTimeZoneInformation(int& TZInfoArray[]);
#import
#define TIME_ZONE_ID_DAYLIGHT  2

#property indicator_separate_window
#property indicator_buffers 6
#property indicator_color1 Yellow
#property indicator_color2 Red
#property indicator_color3 Green
#property indicator_color4 White
#property indicator_color5 Magenta
#property indicator_color6 DeepSkyBlue
#property indicator_style4 STYLE_DOT
#property indicator_style5 STYLE_DOT
#property indicator_style6 STYLE_DOT



#define Day.Friday 5
#define alert.period.reset.secs 1800

extern bool Enable.Alerts = true;
extern bool Compact.Mode = false;
extern bool RG.Profit.Loss = true;
extern bool Dynamic.Spread.Values = false;
extern bool Show.Swap.Values = true;
extern bool Auto.Calc.Server.GMT.Offset = true;
extern int  Server.GMT.Offset.Hours = 0;
extern int C=1;
extern int X=10;
extern int Y=15;
string AVERAGES_PAIRS;
string CORE_PAIRS;
string SIX_PAIRS;
string AMIGOS_PAIRS;
string THREE1_PAIRS;
string THREE2_PAIRS;
string THREE3_PAIRS;
string Arrowup;
string Arrowdown;
double D[],D_MX[],D_MN[];
double W[],W_MX[],W_MN[];
//you may want to allow the user to input their colour choices
color arrow.up.color = Lime;
color arrow.down.color = Red;

color profit.val.color = Lime;
color loss.val.color = Red;

color text.red = Red;
color text.lime  = Lime;
color text.plain = White;
color text.total = Gold;

double local.gmt.offset.hours = 0;

//Lucida Console or FixedSys fonts keep columns of text and numbers nicely aligned 
string text.font = "Lucida Console";
string arrow.font = "Wingdings";

int font.size = 11;
datetime ot=0;
bool Initialize=true;
double dmx=-999999.0,dmn=9999999.0,wmx=-9999999.0,wmn=9999999.0;
datetime no.alerts.before.averages;
datetime no.alerts.before.core;
datetime no.alerts.before.six;
datetime no.alerts.before.amigos;
datetime no.alerts.before.three1;
datetime no.alerts.before.three2;
datetime no.alerts.before.three3;

int fri.shift = 0;
int winidx=0;
int open15.shift = 0;

     string val1="EG";
     string val2="GJ";
     string val3="EJ";
     string val4="EG1";
     string val5="GJ1";
     string val6="EJ1";
     string val7="Tot";
     string val8="Tot1";



bool shifts.initialized = false;

//having these allows you to add things to the code without having to
//go through many lines, changing all the existing values. layout changes are much easier
int start.x.pos;
int start.y.pos;
int current.x.pos;
int current.y.pos;
int save.y.pos;
int save.x.pos;
int arrow.x.inc;
int row.y.inc;
int col.x.inc;



    double AUDUSD, AUDUSD.DAY, AUDUSD.BID, AUDUSD.ASK, AUDUSD.WK.OPEN, AUDUSD.DAY.OPEN; 
    double NZDJPY, NZDJPY.DAY, NZDJPY.BID, NZDJPY.ASK, NZDJPY.WK.OPEN, NZDJPY.DAY.OPEN; 
    double GBPCHF, GBPCHF.DAY, GBPCHF.BID, GBPCHF.ASK, GBPCHF.WK.OPEN, GBPCHF.DAY.OPEN; 
    double EURUSD, EURUSD.DAY, EURUSD.BID, EURUSD.ASK, EURUSD.WK.OPEN, EURUSD.DAY.OPEN; 
    double EURCHF, EURCHF.DAY, EURCHF.BID, EURCHF.ASK, EURCHF.WK.OPEN, EURCHF.DAY.OPEN; 
    double CHFJPY, CHFJPY.DAY, CHFJPY.BID, CHFJPY.ASK, CHFJPY.WK.OPEN, CHFJPY.DAY.OPEN; 
    double USDJPY, USDJPY.DAY, USDJPY.BID, USDJPY.ASK, USDJPY.WK.OPEN, USDJPY.DAY.OPEN; 
    double USDCHF, USDCHF.DAY, USDCHF.BID, USDCHF.ASK, USDCHF.WK.OPEN, USDCHF.DAY.OPEN; 
    double EURGBP, EURGBP.DAY, EURGBP.BID, EURGBP.ASK, EURGBP.WK.OPEN, EURGBP.DAY.OPEN; 
    double NZDUSD, NZDUSD.DAY, NZDUSD.BID, NZDUSD.ASK, NZDUSD.WK.OPEN, NZDUSD.DAY.OPEN; 
    double GBPUSD, GBPUSD.DAY, GBPUSD.BID, GBPUSD.ASK, GBPUSD.WK.OPEN, GBPUSD.DAY.OPEN; 
    double EURJPY, EURJPY.DAY, EURJPY.BID, EURJPY.ASK, EURJPY.WK.OPEN, EURJPY.DAY.OPEN; 
    double AUDJPY, AUDJPY.DAY, AUDJPY.BID, AUDJPY.ASK, AUDJPY.WK.OPEN, AUDJPY.DAY.OPEN; 
    double GBPJPY, GBPJPY.DAY, GBPJPY.BID, GBPJPY.ASK, GBPJPY.WK.OPEN, GBPJPY.DAY.OPEN; 
    double THREE3,THREE3.DAY; 




double TimeZoneLocal()
{
	int TZInfoArray[43];

	if ( GetTimeZoneInformation(TZInfoArray)==TIME_ZONE_ID_DAYLIGHT )
		return((TZInfoArray[0]+TZInfoArray[42])/(-60.0));
	else//TIME_ZONE_ID_STANDARD or TIME_ZONE_ID_UNKNOWN
		return(TZInfoArray[0]/(-60.0));
}

int GetServerGMTOffset()
{
   datetime server.time = TimeCurrent();
   
   datetime local.time = TimeLocal();
   
   local.gmt.offset.hours = TimeZoneLocal();

   double gmt.time = local.time - ( local.gmt.offset.hours * 60 * 60 );

	 int server.gmt.diff.mins = ( server.time - gmt.time ) / 60;
	 server.gmt.diff.mins = MathRound(server.gmt.diff.mins/30.0) * 30;

   return(MathRound(server.gmt.diff.mins/60));
	 
   return(0);
}

//this makes it easy to align columns of numbers
string PadVal(double Val, int Prec, int PadSpc)
{
  string S = DoubleToStr(MathAbs(Val), Prec);
  
  while ( StringLen(S) <= PadSpc ) S = " " + S;
  
  return(S); 
}




int init()
{   
     SetIndexStyle(0, DRAW_LINE);
     SetIndexBuffer(0, D);
     SetIndexStyle(1, DRAW_LINE);
     SetIndexBuffer(1, D_MX);
     SetIndexStyle(2, DRAW_LINE);
     SetIndexBuffer(2, D_MN);

     SetIndexStyle(3, DRAW_LINE);
     SetIndexBuffer(3, W);
     SetIndexStyle(4, DRAW_LINE);
     SetIndexBuffer(4, W_MX);
     SetIndexStyle(5, DRAW_LINE);
     SetIndexBuffer(5, W_MN);
     SetIndexDrawBegin(0,Bars-1);
     SetIndexDrawBegin(1,Bars-1);
     SetIndexDrawBegin(2,Bars-1);
     SetIndexDrawBegin(3,Bars-1);
     SetIndexDrawBegin(4,Bars-1);
     SetIndexDrawBegin(5,Bars-1);
     
     IndicatorShortName("HedgeV2Indiv3");
     winidx=WindowFind("HedgeV2Indiv3");
     
   



  
  no.alerts.before.averages = 0;
  no.alerts.before.core = 0;
  no.alerts.before.six = 0;
  no.alerts.before.amigos = 0;
  no.alerts.before.three1 = 0;
  no.alerts.before.three2 = 0;
  no.alerts.before.three3 = 0;
  
  local.gmt.offset.hours = 0;

  if (Auto.Calc.Server.GMT.Offset) 
  {
    Server.GMT.Offset.Hours = GetServerGMTOffset();
  }
  else  
  {
    if ( Server.GMT.Offset.Hours > 13 || Server.GMT.Offset.Hours < -12 ) Server.GMT.Offset.Hours = 0;
  }
  
  shifts.initialized = false;
    if ( Auto.Calc.Server.GMT.Offset )
    Comment(StringConcatenate(" ", vsn, ", local GMT offset hrs: ", local.gmt.offset.hours, ", server GMT offset hrs: ", Server.GMT.Offset.Hours));
  else
    Comment(StringConcatenate(" ", vsn, ", server GMT offset hrs: ", Server.GMT.Offset.Hours));   

  
  return(0);
}

int deinit()
{

  return(0);
}

int CalcShifts()
{
  
  int shift = 0;
  
  int hour = TimeHour(iTime(NULL, PERIOD_H1, shift));
  int day = TimeDayOfWeek(iTime(NULL, PERIOD_H1, shift));
  
  int target.hour = 20 + Server.GMT.Offset.Hours;
  int target.day = Day.Friday;
  
  //not sure if these checks will work ??
  
  if ( target.hour >= 24 )
  {
    target.hour -= 24;
    target.day += 1;
  }

  if ( target.hour < 0 )
  {
    target.hour += 24;
    target.day -= 1;
  }
  
  if ( target.day == 6 ) target.day += 1; //avoid looking for saturday bars
  
  while ( ! ( hour == target.hour && day == target.day ) )
  {
    shift++;
    hour = TimeHour(iTime(NULL, PERIOD_H1, shift));
    day = TimeDayOfWeek(iTime(NULL, PERIOD_H1, shift));
    
    if ( shift > (24*8) ) //8 days back & no bar found with target.hour
    {
      shift = 0;
      break;  
    }
  }

  fri.shift = shift;
  
  
  //calc 15 minutes after open shift value
    
  int min = TimeMinute(iTime(NULL, PERIOD_M15, 0));
     hour = TimeHour(iTime(NULL, PERIOD_M15, 0));
  
  int target.min = 15;
      target.hour = 0;

  shift = 0;

  while ( ! ( hour == target.hour && min == target.min ) )
  {
    shift++;
    min = TimeMinute(iTime(NULL, PERIOD_M15, shift));
    hour = TimeHour(iTime(NULL, PERIOD_M15, shift));
    
    if ( shift > (25*4) ) //25 hrs back & no bar found with target.hour/min
    {
      shift = 0;
      break;  
    }
    
  }
  
  open15.shift = shift;
  
  shifts.initialized = true;
    
}

void CheckShifts()
{
  int Min15 = TimeMinute(iTime(NULL, PERIOD_M15, 0));
  
  if ( ( ! shifts.initialized ) || ( Min15 == 0 || Min15 == 15 || Min15 == 30 || Min15 == 45 ) ) CalcShifts();    
  
}

void GetBidAskOpen(string symbl, double& BID, double& ASK, double& WEEK.OPEN, double& DAY.OPEN)
{ 
  BID = MarketInfo(symbl, MODE_BID);
  ASK = MarketInfo(symbl, MODE_ASK);
  WEEK.OPEN = iOpen(symbl, PERIOD_H1,  fri.shift);
  DAY.OPEN  = iOpen(symbl, PERIOD_M15, open15.shift);
}
    
int start()
{
  
  CheckShifts();
   
  RefreshRates();
  
     GetBidAskOpen("EURUSD",EURUSD.BID, EURUSD.ASK, EURUSD.WK.OPEN, EURUSD.DAY.OPEN);
     GetBidAskOpen("EURGBP",EURGBP.BID, EURGBP.ASK, EURGBP.WK.OPEN, EURGBP.DAY.OPEN);
     GetBidAskOpen("GBPUSD",GBPUSD.BID, GBPUSD.ASK, GBPUSD.WK.OPEN, GBPUSD.DAY.OPEN);
     GetBidAskOpen("EURJPY",EURJPY.BID, EURJPY.ASK, EURJPY.WK.OPEN, EURJPY.DAY.OPEN);
     GetBidAskOpen("GBPJPY",GBPJPY.BID, GBPJPY.ASK, GBPJPY.WK.OPEN, GBPJPY.DAY.OPEN);
    //SWAPS maybe these shouldn't be fixed values
    double USDCHF.SWAP = 0.0004;
    double EURGBP.SWAP = 0.0003;
    double NZDUSD.SWAP = 0.0005;
    double GBPUSD.SWAP = 0.0004;
    double EURJPY.SWAP = 0.04;
    double AUDJPY.SWAP = 0.12;
    double GBPJPY.SWAP = 0.08;

    if ( Dynamic.Spread.Values )
    {
      EURGBP.SWAP = MarketInfo("EURGBP",MODE_SPREAD)*MarketInfo("EURGBP",MODE_POINT);
      EURJPY.SWAP = MarketInfo("EURJPY",MODE_SPREAD)*MarketInfo("EURJPY",MODE_POINT);
      GBPJPY.SWAP = MarketInfo("GBPJPY",MODE_SPREAD)*MarketInfo("GBPJPY",MODE_POINT);
    }
   
      
    //WEEKLY VALUES    
    
    EURGBP = ((EURGBP.BID-EURGBP.WK.OPEN-EURGBP.SWAP)*10000)/((EURGBP.ASK+EURGBP.BID)/2)*((EURUSD.ASK+EURUSD.BID)/2);
    EURJPY = ((EURJPY.BID-EURJPY.WK.OPEN-EURJPY.SWAP)*100)/((EURJPY.ASK+EURJPY.BID)/2)*100*((EURUSD.ASK+EURUSD.BID)/2);
    GBPJPY = ((GBPJPY.BID-GBPJPY.WK.OPEN-GBPJPY.SWAP)*100)/((GBPJPY.ASK+GBPJPY.BID)/2)*100*((GBPUSD.ASK+GBPUSD.BID)/2);


    //DAILY VALUES
    //I'VE CALCULATED THESE USING THE SAME REFERENCE TO THE USD PAIRS AS THE WEEKLY CALCS
    
    EURGBP.DAY = ((EURGBP.BID-EURGBP.DAY.OPEN-EURGBP.SWAP)*10000)/((EURGBP.ASK+EURGBP.BID)/2)*((EURUSD.ASK+EURUSD.BID)/2);
    EURJPY.DAY = ((EURJPY.BID-EURJPY.DAY.OPEN-EURJPY.SWAP)*100)/((EURJPY.ASK+EURJPY.BID)/2)*100*((EURUSD.ASK+EURUSD.BID)/2);
    GBPJPY.DAY = ((GBPJPY.BID-GBPJPY.DAY.OPEN-GBPJPY.SWAP)*100)/((GBPJPY.ASK+GBPJPY.BID)/2)*100*((GBPUSD.ASK+GBPUSD.BID)/2);

    //WEEK VALUES
    //double CORE = AUDUSD + NZDJPY + EURUSD + CHFJPY + USDJPY;    
    //double AMIGOS = GBPCHF + CHFJPY + EURJPY; 
    //double THREE1 = EURUSD + EURGBP + GBPUSD;
    //double THREE2 = GBPCHF + USDCHF + GBPUSD;
    THREE3 = EURGBP + EURJPY + GBPJPY;

    //double ??? THESIX = USDJPY + EURJPY + GBPJPY;
    //double THESIX = EURUSD + USDJPY + EURGBP + GBPUSD + EURJPY + GBPJPY;

    //double AVERAGES = AUDUSD + NZDJPY + GBPCHF + EURUSD + EURCHF + CHFJPY + USDJPY + 
                      //USDCHF + EURGBP + NZDUSD + GBPUSD + EURJPY + AUDJPY + GBPJPY;   


    //DAY VALUES
    //double CORE.DAY = AUDUSD.DAY + NZDJPY.DAY + EURUSD.DAY + CHFJPY.DAY + USDJPY.DAY;    
    //double AMIGOS.DAY = GBPCHF.DAY + CHFJPY.DAY + EURJPY.DAY; 
    //double THREE1.DAY = EURUSD.DAY + EURGBP.DAY + GBPUSD.DAY;
    //double THREE2.DAY = GBPCHF.DAY + USDCHF.DAY + GBPUSD.DAY;
    THREE3.DAY = EURGBP.DAY + EURJPY.DAY + GBPJPY.DAY;

    //double ??? THESIX = USDJPY + EURJPY + GBPJPY;
    //double THESIX.DAY = EURUSD.DAY + USDJPY.DAY + EURGBP.DAY + GBPUSD.DAY + EURJPY.DAY + GBPJPY.DAY;

    //double AVERAGES.DAY = AUDUSD.DAY + NZDJPY.DAY + GBPCHF.DAY + EURUSD.DAY + EURCHF.DAY + CHFJPY.DAY + USDJPY.DAY + 
                          //USDCHF.DAY + EURGBP.DAY + NZDUSD.DAY + GBPUSD.DAY + EURJPY.DAY + AUDJPY.DAY + GBPJPY.DAY;   

     double td=NormalizeDouble(EURGBP.DAY + EURJPY.DAY + GBPJPY.DAY,0);
     double tw=NormalizeDouble(THREE3,0);

     if(td==0.0)
     {
          dmx=-1.0;
          dmn=1.0;
     }
     else
     {
          dmx=MathMax(dmx,EURGBP.DAY + EURJPY.DAY + GBPJPY.DAY);
          dmn=MathMin(dmn,EURGBP.DAY + EURJPY.DAY + GBPJPY.DAY);
     }

     if(tw==0.0)
     {
          wmx=-1.0;
          wmn=1.0;
          Initialize=false;
     }
     else
     {
          wmx=MathMax(wmx,EURGBP + EURJPY + GBPJPY);
          wmn=MathMin(wmn,EURGBP + EURJPY + GBPJPY);
     }
     D[0]=EURGBP.DAY + EURJPY.DAY + GBPJPY.DAY;
     D_MX[0]=dmx;
     D_MN[0]=dmn;

     W[0]=EURGBP + EURJPY + GBPJPY;
     W_MX[0]=wmx;
     W_MN[0]=wmn;
     if(Initialize)
     {
     createob();
     Initialize=false;
     }
     
     
 UpdateObject();
  return(0);
}  

void UpdateObject()
{
string val=val1;
//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,10);
if(EURGBP.DAY>0.0)ObjectSetText(val,PadVal(EURGBP.DAY,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(EURGBP.DAY,0,5),10,"Lucida Console",Red);

val=val2;

//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,12);
if(GBPJPY.DAY>0.0)ObjectSetText(val,PadVal(GBPJPY.DAY,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(GBPJPY.DAY,0,5),10,"Lucida Console",Red);

val=val3;

//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,14);
if(EURJPY.DAY>0.0)ObjectSetText(val,PadVal(EURJPY.DAY,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(EURJPY.DAY,0,5),10,"Lucida Console",Red);

val=val4;
//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,10);
if(EURGBP>0.0)ObjectSetText(val,PadVal(EURGBP,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(EURGBP,0,5),10,"Lucida Console",Red);

val=val5;

//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,12);
if(GBPJPY>0.0)ObjectSetText(val,PadVal(GBPJPY,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(GBPJPY,0,5),10,"Lucida Console",Red);

val=val6;

//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,14);
if(EURJPY>0.0)ObjectSetText(val,PadVal(EURJPY,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(EURJPY,0,5),10,"Lucida Console",Red);


val=val7;

//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,14);
if(THREE3.DAY>0.0)ObjectSetText(val,PadVal(THREE3.DAY,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(EURJPY,0,5),10,"Lucida Console",Red);



val=val8;

//if(ObjectFind(val)==-1)ObjectCreate(val,OBJ_LABEL,4,0,14);
if(THREE3>0.0)ObjectSetText(val,PadVal(THREE3,0,5),10,"Lucida Console",DeepSkyBlue);
else ObjectSetText(val,PadVal(EURJPY,0,5),10,"Lucida Console",Red);



}
void createob()
{
     ObjectsDeleteAll();
     winidx=WindowFind("HedgeV2Indiv3");
     int x=X;
     int y=Y;
     DrawObject( val1,"PAT",  x,  y);   
     y=y+20;
     DrawObject( val2,"PAT",  x,  y);   
     y=y+20;
     DrawObject( val3,"PAT",  x,  y);   
     y=y+20;
     DrawObject( val7,"PAT",  x,  y);   
     x=X+60;
     y=Y;
     DrawObject( val4,"PAT",  x,  y);   
     y=y+20;
     DrawObject( val5,"PAT",  x,  y);   
     y=y+20;
     DrawObject( val6,"PAT",  x,  y);   
     y=y+20;
     DrawObject( val8,"PAT",  x,  y);  
     x=X+120;
     y=Y;
     DrawObject( "EGn","EG",  x,  y);   
     y=y+20;
     DrawObject( "GYn","GJ",  x,  y);   
     y=y+20;
     DrawObject( "EYn","EJ",  x,  y);   
     y=y+20;
     DrawObject( "Total","ToT",  x,  y);   
 
     return(0);
}

void DrawObject(string val,string text, int x, int y)
{
ObjectCreate(val,OBJ_LABEL,winidx,x,y);
ObjectSet(val,OBJPROP_XDISTANCE,x);
ObjectSet(val,OBJPROP_YDISTANCE,y);
ObjectSet(val,OBJPROP_COLOR,DeepSkyBlue);
ObjectSet(val,OBJPROP_CORNER,C);
ObjectSetText(val,text,10,"Lucida Console",DeepSkyBlue);
}